Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network40.31.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
40.31.0.0
Broadcast address
40.31.127.255
First usable
40.31.0.1
Last usable
40.31.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 281F0000 · Integer 673120256 to 673153023
Reverse DNS zones
0.31.40.in-addr.arpa
1.31.40.in-addr.arpa
2.31.40.in-addr.arpa
3.31.40.in-addr.arpa
4.31.40.in-addr.arpa
5.31.40.in-addr.arpa
6.31.40.in-addr.arpa
7.31.40.in-addr.arpa
8.31.40.in-addr.arpa
9.31.40.in-addr.arpa
10.31.40.in-addr.arpa
11.31.40.in-addr.arpa
12.31.40.in-addr.arpa
13.31.40.in-addr.arpa
14.31.40.in-addr.arpa
15.31.40.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101000.00011111.00000000.0000000040.31.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00101000.00011111.00000000.0000000040.31.0.0
Broadcast00101000.00011111.01111111.1111111140.31.127.255
Split into smaller subnets/28

40.31.0.0/17 makes 2,048 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
140.31.0.0/2840.31.0.1 to 40.31.0.1440.31.0.1514
240.31.0.16/2840.31.0.17 to 40.31.0.3040.31.0.3114
340.31.0.32/2840.31.0.33 to 40.31.0.4640.31.0.4714
440.31.0.48/2840.31.0.49 to 40.31.0.6240.31.0.6314
540.31.0.64/2840.31.0.65 to 40.31.0.7840.31.0.7914
640.31.0.80/2840.31.0.81 to 40.31.0.9440.31.0.9514
740.31.0.96/2840.31.0.97 to 40.31.0.11040.31.0.11114
840.31.0.112/2840.31.0.113 to 40.31.0.12640.31.0.12714
940.31.0.128/2840.31.0.129 to 40.31.0.14240.31.0.14314
1040.31.0.144/2840.31.0.145 to 40.31.0.15840.31.0.15914
1140.31.0.160/2840.31.0.161 to 40.31.0.17440.31.0.17514
1240.31.0.176/2840.31.0.177 to 40.31.0.19040.31.0.19114
1340.31.0.192/2840.31.0.193 to 40.31.0.20640.31.0.20714
1440.31.0.208/2840.31.0.209 to 40.31.0.22240.31.0.22314
1540.31.0.224/2840.31.0.225 to 40.31.0.23840.31.0.23914
1640.31.0.240/2840.31.0.241 to 40.31.0.25440.31.0.25514
1740.31.1.0/2840.31.1.1 to 40.31.1.1440.31.1.1514
1840.31.1.16/2840.31.1.17 to 40.31.1.3040.31.1.3114
1940.31.1.32/2840.31.1.33 to 40.31.1.4640.31.1.4714
2040.31.1.48/2840.31.1.49 to 40.31.1.6240.31.1.6314
2140.31.1.64/2840.31.1.65 to 40.31.1.7840.31.1.7914
2240.31.1.80/2840.31.1.81 to 40.31.1.9440.31.1.9514
2340.31.1.96/2840.31.1.97 to 40.31.1.11040.31.1.11114
2440.31.1.112/2840.31.1.113 to 40.31.1.12640.31.1.12714
2540.31.1.128/2840.31.1.129 to 40.31.1.14240.31.1.14314
2640.31.1.144/2840.31.1.145 to 40.31.1.15840.31.1.15914
2740.31.1.160/2840.31.1.161 to 40.31.1.17440.31.1.17514
2840.31.1.176/2840.31.1.177 to 40.31.1.19040.31.1.19114
2940.31.1.192/2840.31.1.193 to 40.31.1.20640.31.1.20714
3040.31.1.208/2840.31.1.209 to 40.31.1.22240.31.1.22314
3140.31.1.224/2840.31.1.225 to 40.31.1.23840.31.1.23914
3240.31.1.240/2840.31.1.241 to 40.31.1.25440.31.1.25514
3340.31.2.0/2840.31.2.1 to 40.31.2.1440.31.2.1514
3440.31.2.16/2840.31.2.17 to 40.31.2.3040.31.2.3114
3540.31.2.32/2840.31.2.33 to 40.31.2.4640.31.2.4714
3640.31.2.48/2840.31.2.49 to 40.31.2.6240.31.2.6314
3740.31.2.64/2840.31.2.65 to 40.31.2.7840.31.2.7914
3840.31.2.80/2840.31.2.81 to 40.31.2.9440.31.2.9514
3940.31.2.96/2840.31.2.97 to 40.31.2.11040.31.2.11114
4040.31.2.112/2840.31.2.113 to 40.31.2.12640.31.2.12714
4140.31.2.128/2840.31.2.129 to 40.31.2.14240.31.2.14314
4240.31.2.144/2840.31.2.145 to 40.31.2.15840.31.2.15914
4340.31.2.160/2840.31.2.161 to 40.31.2.17440.31.2.17514
4440.31.2.176/2840.31.2.177 to 40.31.2.19040.31.2.19114
4540.31.2.192/2840.31.2.193 to 40.31.2.20640.31.2.20714
4640.31.2.208/2840.31.2.209 to 40.31.2.22240.31.2.22314
4740.31.2.224/2840.31.2.225 to 40.31.2.23840.31.2.23914
4840.31.2.240/2840.31.2.241 to 40.31.2.25440.31.2.25514
4940.31.3.0/2840.31.3.1 to 40.31.3.1440.31.3.1514
5040.31.3.16/2840.31.3.17 to 40.31.3.3040.31.3.3114
5140.31.3.32/2840.31.3.33 to 40.31.3.4640.31.3.4714
5240.31.3.48/2840.31.3.49 to 40.31.3.6240.31.3.6314
5340.31.3.64/2840.31.3.65 to 40.31.3.7840.31.3.7914
5440.31.3.80/2840.31.3.81 to 40.31.3.9440.31.3.9514
5540.31.3.96/2840.31.3.97 to 40.31.3.11040.31.3.11114
5640.31.3.112/2840.31.3.113 to 40.31.3.12640.31.3.12714
5740.31.3.128/2840.31.3.129 to 40.31.3.14240.31.3.14314
5840.31.3.144/2840.31.3.145 to 40.31.3.15840.31.3.15914
5940.31.3.160/2840.31.3.161 to 40.31.3.17440.31.3.17514
6040.31.3.176/2840.31.3.177 to 40.31.3.19040.31.3.19114
6140.31.3.192/2840.31.3.193 to 40.31.3.20640.31.3.20714
6240.31.3.208/2840.31.3.209 to 40.31.3.22240.31.3.22314
6340.31.3.224/2840.31.3.225 to 40.31.3.23840.31.3.23914
6440.31.3.240/2840.31.3.241 to 40.31.3.25440.31.3.25514
6540.31.4.0/2840.31.4.1 to 40.31.4.1440.31.4.1514
6640.31.4.16/2840.31.4.17 to 40.31.4.3040.31.4.3114
6740.31.4.32/2840.31.4.33 to 40.31.4.4640.31.4.4714
6840.31.4.48/2840.31.4.49 to 40.31.4.6240.31.4.6314
6940.31.4.64/2840.31.4.65 to 40.31.4.7840.31.4.7914
7040.31.4.80/2840.31.4.81 to 40.31.4.9440.31.4.9514
7140.31.4.96/2840.31.4.97 to 40.31.4.11040.31.4.11114
7240.31.4.112/2840.31.4.113 to 40.31.4.12640.31.4.12714
7340.31.4.128/2840.31.4.129 to 40.31.4.14240.31.4.14314
7440.31.4.144/2840.31.4.145 to 40.31.4.15840.31.4.15914
7540.31.4.160/2840.31.4.161 to 40.31.4.17440.31.4.17514
7640.31.4.176/2840.31.4.177 to 40.31.4.19040.31.4.19114
7740.31.4.192/2840.31.4.193 to 40.31.4.20640.31.4.20714
7840.31.4.208/2840.31.4.209 to 40.31.4.22240.31.4.22314
7940.31.4.224/2840.31.4.225 to 40.31.4.23840.31.4.23914
8040.31.4.240/2840.31.4.241 to 40.31.4.25440.31.4.25514
8140.31.5.0/2840.31.5.1 to 40.31.5.1440.31.5.1514
8240.31.5.16/2840.31.5.17 to 40.31.5.3040.31.5.3114
8340.31.5.32/2840.31.5.33 to 40.31.5.4640.31.5.4714
8440.31.5.48/2840.31.5.49 to 40.31.5.6240.31.5.6314
8540.31.5.64/2840.31.5.65 to 40.31.5.7840.31.5.7914
8640.31.5.80/2840.31.5.81 to 40.31.5.9440.31.5.9514
8740.31.5.96/2840.31.5.97 to 40.31.5.11040.31.5.11114
8840.31.5.112/2840.31.5.113 to 40.31.5.12640.31.5.12714
8940.31.5.128/2840.31.5.129 to 40.31.5.14240.31.5.14314
9040.31.5.144/2840.31.5.145 to 40.31.5.15840.31.5.15914
9140.31.5.160/2840.31.5.161 to 40.31.5.17440.31.5.17514
9240.31.5.176/2840.31.5.177 to 40.31.5.19040.31.5.19114
9340.31.5.192/2840.31.5.193 to 40.31.5.20640.31.5.20714
9440.31.5.208/2840.31.5.209 to 40.31.5.22240.31.5.22314
9540.31.5.224/2840.31.5.225 to 40.31.5.23840.31.5.23914
9640.31.5.240/2840.31.5.241 to 40.31.5.25440.31.5.25514
9740.31.6.0/2840.31.6.1 to 40.31.6.1440.31.6.1514
9840.31.6.16/2840.31.6.17 to 40.31.6.3040.31.6.3114
9940.31.6.32/2840.31.6.33 to 40.31.6.4640.31.6.4714
10040.31.6.48/2840.31.6.49 to 40.31.6.6240.31.6.6314
10140.31.6.64/2840.31.6.65 to 40.31.6.7840.31.6.7914
10240.31.6.80/2840.31.6.81 to 40.31.6.9440.31.6.9514
10340.31.6.96/2840.31.6.97 to 40.31.6.11040.31.6.11114
10440.31.6.112/2840.31.6.113 to 40.31.6.12640.31.6.12714
10540.31.6.128/2840.31.6.129 to 40.31.6.14240.31.6.14314
10640.31.6.144/2840.31.6.145 to 40.31.6.15840.31.6.15914
10740.31.6.160/2840.31.6.161 to 40.31.6.17440.31.6.17514
10840.31.6.176/2840.31.6.177 to 40.31.6.19040.31.6.19114
10940.31.6.192/2840.31.6.193 to 40.31.6.20640.31.6.20714
11040.31.6.208/2840.31.6.209 to 40.31.6.22240.31.6.22314
11140.31.6.224/2840.31.6.225 to 40.31.6.23840.31.6.23914
11240.31.6.240/2840.31.6.241 to 40.31.6.25440.31.6.25514
11340.31.7.0/2840.31.7.1 to 40.31.7.1440.31.7.1514
11440.31.7.16/2840.31.7.17 to 40.31.7.3040.31.7.3114
11540.31.7.32/2840.31.7.33 to 40.31.7.4640.31.7.4714
11640.31.7.48/2840.31.7.49 to 40.31.7.6240.31.7.6314
11740.31.7.64/2840.31.7.65 to 40.31.7.7840.31.7.7914
11840.31.7.80/2840.31.7.81 to 40.31.7.9440.31.7.9514
11940.31.7.96/2840.31.7.97 to 40.31.7.11040.31.7.11114
12040.31.7.112/2840.31.7.113 to 40.31.7.12640.31.7.12714
12140.31.7.128/2840.31.7.129 to 40.31.7.14240.31.7.14314
12240.31.7.144/2840.31.7.145 to 40.31.7.15840.31.7.15914
12340.31.7.160/2840.31.7.161 to 40.31.7.17440.31.7.17514
12440.31.7.176/2840.31.7.177 to 40.31.7.19040.31.7.19114
12540.31.7.192/2840.31.7.193 to 40.31.7.20640.31.7.20714
12640.31.7.208/2840.31.7.209 to 40.31.7.22240.31.7.22314
12740.31.7.224/2840.31.7.225 to 40.31.7.23840.31.7.23914
12840.31.7.240/2840.31.7.241 to 40.31.7.25440.31.7.25514
12940.31.8.0/2840.31.8.1 to 40.31.8.1440.31.8.1514
13040.31.8.16/2840.31.8.17 to 40.31.8.3040.31.8.3114
13140.31.8.32/2840.31.8.33 to 40.31.8.4640.31.8.4714
13240.31.8.48/2840.31.8.49 to 40.31.8.6240.31.8.6314
13340.31.8.64/2840.31.8.65 to 40.31.8.7840.31.8.7914
13440.31.8.80/2840.31.8.81 to 40.31.8.9440.31.8.9514
13540.31.8.96/2840.31.8.97 to 40.31.8.11040.31.8.11114
13640.31.8.112/2840.31.8.113 to 40.31.8.12640.31.8.12714
13740.31.8.128/2840.31.8.129 to 40.31.8.14240.31.8.14314
13840.31.8.144/2840.31.8.145 to 40.31.8.15840.31.8.15914
13940.31.8.160/2840.31.8.161 to 40.31.8.17440.31.8.17514
14040.31.8.176/2840.31.8.177 to 40.31.8.19040.31.8.19114
14140.31.8.192/2840.31.8.193 to 40.31.8.20640.31.8.20714
14240.31.8.208/2840.31.8.209 to 40.31.8.22240.31.8.22314
14340.31.8.224/2840.31.8.225 to 40.31.8.23840.31.8.23914
14440.31.8.240/2840.31.8.241 to 40.31.8.25440.31.8.25514
14540.31.9.0/2840.31.9.1 to 40.31.9.1440.31.9.1514
14640.31.9.16/2840.31.9.17 to 40.31.9.3040.31.9.3114
14740.31.9.32/2840.31.9.33 to 40.31.9.4640.31.9.4714
14840.31.9.48/2840.31.9.49 to 40.31.9.6240.31.9.6314
14940.31.9.64/2840.31.9.65 to 40.31.9.7840.31.9.7914
15040.31.9.80/2840.31.9.81 to 40.31.9.9440.31.9.9514
15140.31.9.96/2840.31.9.97 to 40.31.9.11040.31.9.11114
15240.31.9.112/2840.31.9.113 to 40.31.9.12640.31.9.12714
15340.31.9.128/2840.31.9.129 to 40.31.9.14240.31.9.14314
15440.31.9.144/2840.31.9.145 to 40.31.9.15840.31.9.15914
15540.31.9.160/2840.31.9.161 to 40.31.9.17440.31.9.17514
15640.31.9.176/2840.31.9.177 to 40.31.9.19040.31.9.19114
15740.31.9.192/2840.31.9.193 to 40.31.9.20640.31.9.20714
15840.31.9.208/2840.31.9.209 to 40.31.9.22240.31.9.22314
15940.31.9.224/2840.31.9.225 to 40.31.9.23840.31.9.23914
16040.31.9.240/2840.31.9.241 to 40.31.9.25440.31.9.25514
16140.31.10.0/2840.31.10.1 to 40.31.10.1440.31.10.1514
16240.31.10.16/2840.31.10.17 to 40.31.10.3040.31.10.3114
16340.31.10.32/2840.31.10.33 to 40.31.10.4640.31.10.4714
16440.31.10.48/2840.31.10.49 to 40.31.10.6240.31.10.6314
16540.31.10.64/2840.31.10.65 to 40.31.10.7840.31.10.7914
16640.31.10.80/2840.31.10.81 to 40.31.10.9440.31.10.9514
16740.31.10.96/2840.31.10.97 to 40.31.10.11040.31.10.11114
16840.31.10.112/2840.31.10.113 to 40.31.10.12640.31.10.12714
16940.31.10.128/2840.31.10.129 to 40.31.10.14240.31.10.14314
17040.31.10.144/2840.31.10.145 to 40.31.10.15840.31.10.15914
17140.31.10.160/2840.31.10.161 to 40.31.10.17440.31.10.17514
17240.31.10.176/2840.31.10.177 to 40.31.10.19040.31.10.19114
17340.31.10.192/2840.31.10.193 to 40.31.10.20640.31.10.20714
17440.31.10.208/2840.31.10.209 to 40.31.10.22240.31.10.22314
17540.31.10.224/2840.31.10.225 to 40.31.10.23840.31.10.23914
17640.31.10.240/2840.31.10.241 to 40.31.10.25440.31.10.25514
17740.31.11.0/2840.31.11.1 to 40.31.11.1440.31.11.1514
17840.31.11.16/2840.31.11.17 to 40.31.11.3040.31.11.3114
17940.31.11.32/2840.31.11.33 to 40.31.11.4640.31.11.4714
18040.31.11.48/2840.31.11.49 to 40.31.11.6240.31.11.6314
18140.31.11.64/2840.31.11.65 to 40.31.11.7840.31.11.7914
18240.31.11.80/2840.31.11.81 to 40.31.11.9440.31.11.9514
18340.31.11.96/2840.31.11.97 to 40.31.11.11040.31.11.11114
18440.31.11.112/2840.31.11.113 to 40.31.11.12640.31.11.12714
18540.31.11.128/2840.31.11.129 to 40.31.11.14240.31.11.14314
18640.31.11.144/2840.31.11.145 to 40.31.11.15840.31.11.15914
18740.31.11.160/2840.31.11.161 to 40.31.11.17440.31.11.17514
18840.31.11.176/2840.31.11.177 to 40.31.11.19040.31.11.19114
18940.31.11.192/2840.31.11.193 to 40.31.11.20640.31.11.20714
19040.31.11.208/2840.31.11.209 to 40.31.11.22240.31.11.22314
19140.31.11.224/2840.31.11.225 to 40.31.11.23840.31.11.23914
19240.31.11.240/2840.31.11.241 to 40.31.11.25440.31.11.25514
19340.31.12.0/2840.31.12.1 to 40.31.12.1440.31.12.1514
19440.31.12.16/2840.31.12.17 to 40.31.12.3040.31.12.3114
19540.31.12.32/2840.31.12.33 to 40.31.12.4640.31.12.4714
19640.31.12.48/2840.31.12.49 to 40.31.12.6240.31.12.6314
19740.31.12.64/2840.31.12.65 to 40.31.12.7840.31.12.7914
19840.31.12.80/2840.31.12.81 to 40.31.12.9440.31.12.9514
19940.31.12.96/2840.31.12.97 to 40.31.12.11040.31.12.11114
20040.31.12.112/2840.31.12.113 to 40.31.12.12640.31.12.12714
20140.31.12.128/2840.31.12.129 to 40.31.12.14240.31.12.14314
20240.31.12.144/2840.31.12.145 to 40.31.12.15840.31.12.15914
20340.31.12.160/2840.31.12.161 to 40.31.12.17440.31.12.17514
20440.31.12.176/2840.31.12.177 to 40.31.12.19040.31.12.19114
20540.31.12.192/2840.31.12.193 to 40.31.12.20640.31.12.20714
20640.31.12.208/2840.31.12.209 to 40.31.12.22240.31.12.22314
20740.31.12.224/2840.31.12.225 to 40.31.12.23840.31.12.23914
20840.31.12.240/2840.31.12.241 to 40.31.12.25440.31.12.25514
20940.31.13.0/2840.31.13.1 to 40.31.13.1440.31.13.1514
21040.31.13.16/2840.31.13.17 to 40.31.13.3040.31.13.3114
21140.31.13.32/2840.31.13.33 to 40.31.13.4640.31.13.4714
21240.31.13.48/2840.31.13.49 to 40.31.13.6240.31.13.6314
21340.31.13.64/2840.31.13.65 to 40.31.13.7840.31.13.7914
21440.31.13.80/2840.31.13.81 to 40.31.13.9440.31.13.9514
21540.31.13.96/2840.31.13.97 to 40.31.13.11040.31.13.11114
21640.31.13.112/2840.31.13.113 to 40.31.13.12640.31.13.12714
21740.31.13.128/2840.31.13.129 to 40.31.13.14240.31.13.14314
21840.31.13.144/2840.31.13.145 to 40.31.13.15840.31.13.15914
21940.31.13.160/2840.31.13.161 to 40.31.13.17440.31.13.17514
22040.31.13.176/2840.31.13.177 to 40.31.13.19040.31.13.19114
22140.31.13.192/2840.31.13.193 to 40.31.13.20640.31.13.20714
22240.31.13.208/2840.31.13.209 to 40.31.13.22240.31.13.22314
22340.31.13.224/2840.31.13.225 to 40.31.13.23840.31.13.23914
22440.31.13.240/2840.31.13.241 to 40.31.13.25440.31.13.25514
22540.31.14.0/2840.31.14.1 to 40.31.14.1440.31.14.1514
22640.31.14.16/2840.31.14.17 to 40.31.14.3040.31.14.3114
22740.31.14.32/2840.31.14.33 to 40.31.14.4640.31.14.4714
22840.31.14.48/2840.31.14.49 to 40.31.14.6240.31.14.6314
22940.31.14.64/2840.31.14.65 to 40.31.14.7840.31.14.7914
23040.31.14.80/2840.31.14.81 to 40.31.14.9440.31.14.9514
23140.31.14.96/2840.31.14.97 to 40.31.14.11040.31.14.11114
23240.31.14.112/2840.31.14.113 to 40.31.14.12640.31.14.12714
23340.31.14.128/2840.31.14.129 to 40.31.14.14240.31.14.14314
23440.31.14.144/2840.31.14.145 to 40.31.14.15840.31.14.15914
23540.31.14.160/2840.31.14.161 to 40.31.14.17440.31.14.17514
23640.31.14.176/2840.31.14.177 to 40.31.14.19040.31.14.19114
23740.31.14.192/2840.31.14.193 to 40.31.14.20640.31.14.20714
23840.31.14.208/2840.31.14.209 to 40.31.14.22240.31.14.22314
23940.31.14.224/2840.31.14.225 to 40.31.14.23840.31.14.23914
24040.31.14.240/2840.31.14.241 to 40.31.14.25440.31.14.25514
24140.31.15.0/2840.31.15.1 to 40.31.15.1440.31.15.1514
24240.31.15.16/2840.31.15.17 to 40.31.15.3040.31.15.3114
24340.31.15.32/2840.31.15.33 to 40.31.15.4640.31.15.4714
24440.31.15.48/2840.31.15.49 to 40.31.15.6240.31.15.6314
24540.31.15.64/2840.31.15.65 to 40.31.15.7840.31.15.7914
24640.31.15.80/2840.31.15.81 to 40.31.15.9440.31.15.9514
24740.31.15.96/2840.31.15.97 to 40.31.15.11040.31.15.11114
24840.31.15.112/2840.31.15.113 to 40.31.15.12640.31.15.12714
24940.31.15.128/2840.31.15.129 to 40.31.15.14240.31.15.14314
25040.31.15.144/2840.31.15.145 to 40.31.15.15840.31.15.15914
25140.31.15.160/2840.31.15.161 to 40.31.15.17440.31.15.17514
25240.31.15.176/2840.31.15.177 to 40.31.15.19040.31.15.19114
25340.31.15.192/2840.31.15.193 to 40.31.15.20640.31.15.20714
25440.31.15.208/2840.31.15.209 to 40.31.15.22240.31.15.22314
25540.31.15.224/2840.31.15.225 to 40.31.15.23840.31.15.23914
25640.31.15.240/2840.31.15.241 to 40.31.15.25440.31.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses